Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class WrapperManagerAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.module.management.agent.WrapperManagerAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class WrapperManagerAgent

extends AbstractAgent

This agent integrates Java Service Wrapper into Mule. See http://wrapper.tanukisoftware.org for more details.

Field Summary
`static String` | `DEFAULT_WRAPPER_MBEAN_NAME` For cases when Mule is embedded in another process and that external process had registered the MBean.
`static String` | `WRAPPER_JMX_NAME` MBean name to register under.

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`WrapperManagerAgent()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`String` | `getDescription()` A description of the agent that gets displayed in the splash screen when the Mule Context starts up.
`static int` | `getJavaPID()` This method is a copy of the implementation of `WrapperManagerMBean.getJavaPID()` and it is here because that method is not present in the `WrapperManagerMBean` until version 3.2.3.
`static int` | `getWrapperPID()` This method is a copy of the implementation of `WrapperManagerMBean.getWrapperPID()` and it is here because that method is not present in the `WrapperManagerMBean` until version 3.2.3.
`void` | `initialise()` Method used to perform any initialisation work.
`protected void` | `lazyInitWrapperManager()`
`void` | `start()`
`void` | `stop()`
`protected void` | `unregisterMBeansIfNecessary()` Unregister all MBeans if there are any left over the old deployment
`protected void` | `unregisterMeQuietly()` Quietly unregister ourselves.

Methods inherited from class org.mule.AbstractAgent
`getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRAPPER_JMX_NAME

    public static final String WRAPPER_JMX_NAME

  MBean name to register under.

  See Also:
    Constant Field Values

### DEFAULT_WRAPPER_MBEAN_NAME

    public static final String DEFAULT_WRAPPER_MBEAN_NAME

  For cases when Mule is embedded in another process and that external process had registered the MBean.

  See Also:
    Constant Field Values

Constructor Detail

### WrapperManagerAgent

    public WrapperManagerAgent()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### start

    public void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### getDescription

    public String getDescription()

  Description copied from interface: `Agent`
  A description of the agent that gets displayed in the splash screen when the Mule Context starts up.

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:
    a 1 line description of the agent.

### getJavaPID

    public static int getJavaPID()

  This method is a copy of the implementation of `WrapperManagerMBean.getJavaPID()` and it is here because that method is not present in the `WrapperManagerMBean` until version 3.2.3. SpringSource's TC Server uses The wrapper version 3.2.0 so having this method here allows us to be compatible with TC Server.

  Returns:
    The PID of the Java process.
  See Also:
    `http://www.mulesoft.org/jira/browse/MULE-5106`

### getWrapperPID

    public static int getWrapperPID()

  This method is a copy of the implementation of `WrapperManagerMBean.getWrapperPID()` and it is here because that method is not present in the `WrapperManagerMBean` until version 3.2.3. SpringSource's TC Server uses The wrapper version 3.2.0 so having this method here allows us to be compatible with TC Server.

  Returns:
    The PID of the Wrapper process.
  See Also:
    `http://www.mulesoft.org/jira/browse/MULE-5106`

### lazyInitWrapperManager

    protected void lazyInitWrapperManager()

### unregisterMBeansIfNecessary

    protected void unregisterMBeansIfNecessary()
                                        throws MalformedObjectNameException,
                                               InstanceNotFoundException,
                                               MBeanRegistrationException

  Unregister all MBeans if there are any left over the old deployment

  Throws:
    `MalformedObjectNameException`
    `InstanceNotFoundException`
    `MBeanRegistrationException`

### unregisterMeQuietly

    protected void unregisterMeQuietly()

  Quietly unregister ourselves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.